#!/usr/bin/env ruby

require "dotenv"
APP_ENV = ENV.fetch("ENV") { "development" }
Dotenv.load!(".env")

require_relative "bot"
BOT = Bot.new
BOT.run_thread

require "sinatra/base"

class Web < Sinatra::Base
  post "/" do
    if env["HTTP_AUTH"] == ENV["DISCORD_AUTH"]
      BOT.send request.body.read
    else
      status 401
    end
  end

  set :bind, ENV["APP_BIND"] || "127.0.0.1"
  set :port, ENV["APP_PORT"] || "11044"

  set :environment, APP_ENV
  ENV["RACK_ENV"] = APP_ENV

  set :public_folder, "public"

  run! # if app_file == $PROGRAM_NAME
end
